import 'package:d_dio/src/const/codes.dart';

class BaseRespEntity {
  late int code;
  late String msg;
  dynamic data;

  bool get success => code == Codes.SUCCESS;

  BaseRespEntity.fromJson(Map<String, dynamic> json) {
    code = json['code'];
    msg = json['msg'];
    data = json['data'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = Map<String, dynamic>();
    data['code'] = this.code;
    data['msg'] = this.msg;
    data['data'] = this.data;
    return data;
  }

  @override
  String toString() {
    return 'BaseRespEntity{code: $code, msg: $msg, data: $data}';
  }
}
