import 'package:d_dio/src/const/codes.dart';

class APIException implements Exception {
  late final int code;
  String? message;
  dynamic data;

  APIException([this.code = Codes.UNKNOWN_ERROR, this.message, this.data]);

  @override
  String toString() {
    if (message == null) return "APIException";
    return '$message';
  }

  String toDetails() {
    return "code:$code msg:$message";
  }
}
