import 'package:d_dio/src/entity/base_req.dart';
import 'package:d_dio/src/utils/interceptor_utils.dart';
import 'package:d_dio/src/utils/log.dart';
import 'package:dio/dio.dart';

class RequestInterceptor extends InterceptorsWrapper {
  final String wsUrl;

  RequestInterceptor({required this.wsUrl});

  @override
  void onRequest(RequestOptions options, RequestInterceptorHandler handler) {
    try {
      Map<String, dynamic> data = InterceptorUtils.getAllParams(options);
      bool needToken = InterceptorUtils.getCustomParams('_token', options);
      data.addAll(BaseReq(needToken: needToken).toJson());
      bool wsApi = InterceptorUtils.getCustomParams('_ws', options);
      if (wsApi) options.baseUrl = wsUrl;
    } catch (e) {
      logger.e("RequestInterceptor:$e");
    }
    super.onRequest(options, handler);
  }
}
