import 'package:d_dio/src/utils/log.dart';
import 'package:dio/dio.dart';

class InterceptorUtils {
  static Map<String, dynamic> getAllParams(RequestOptions options) {
    Map<String, dynamic> data = {};
    try {
      if (options.method == 'GET') {
        data = Map.of(options.queryParameters);
        options.queryParameters = data;
      } else if (options.method == 'POST') {
        options.data ??= <String, dynamic>{};
        if (options.data is Map) {
          data = Map.of(options.data);
          options.data = data;
        }
      }
    } catch (e) {
      logger.d(e);
    }

    return data;
  }

  static T getCustomParams<T>(String params, RequestOptions options,
      {bool removeAfterRead = true}) {
    final data = options.extra;
    final paramsExist = data.containsKey(params);

    var value;
    if (paramsExist) {
      value = data[params];
    }
    if (T.toString() == 'bool') {
      value ??= false as T;
    }
    if (removeAfterRead) {
      data.remove(params);
    }
    return value as T;
  }
}
